Bug 457304 - Review Request: gestikk - Mouse gestures for you to easily control your PC
Review Request: gestikk - Mouse gestures for you to easily control your PC
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 15:39 EDT by Nicoleau Fabien
Modified: 2009-02-19 14:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 14:44:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loganjerry: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicoleau Fabien 2008-07-30 15:39:23 EDT
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/gestikk.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc9/gestikk-0.6.1-1.fc9.src.rpm
Description: 
gestikk is an application for nearly all netwm-conform windowmanagers
(written in Python) that recognizes predefined mouse gestures and executes
defined actions. For exemple by drawing a line you can run Firefox or simulate a key combination.

Rebuild under mock (fedora-9-i386) is OK.
Rebuild on koji is OK : http://koji.fedoraproject.org/koji/taskinfo?taskID=748648
rpmlint output :
[builder@FEDOBOX tmp]$ rpmlint gestikk-0.6.1-1.fc9.noarch.rpm gestikk-0.6.1-1.fc9.src.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
[builder@FEDOBOX tmp]$
Comment 1 Jerry James 2009-02-09 12:20:11 EST
I will review this.  Stand by for a full review.
Comment 2 Jerry James 2009-02-09 17:41:28 EST
MUST items:
- rpmlint output:
1 packages and 1 specfiles checked; 0 errors, 0 warnings.
- package name: OK
- spec file name: OK
- Packaging Guidelines: OK; the Python guidelines specify that "BuildRequires: python" must appear.  It does not in this spec, but that requirement is picked up transitively via gettext.
- licensing guidelines: OK
- license: FAIL.  The top-level gestikk.py is GPLv2+, but gestikk/condparse.py is under an MIT license.
- license file
- spec file is American English: OK, although I have a couple of suggestions.  See below.
- spec file is legible: OK
- sources match upstream: OK, md5sum is 7f30737f0b69633b1112688c68f4e3d9
- builds into binary RPM: OK
- ExcludeArch: OK
- BuildRequires: OK (although I would be happer with an explicit python dependency)
- Use of %find_lang: OK
- ldconfig: OK
- relocatable package: OK
- own all created directories: OK
- no duplicates in %files: OK, although consider merging "%dir %{python_sitelib}/%{name}" and "%{python_sitelib}/%{name}/*" into just "%{python_sitelib}/%{name}".
- proper permissions: OK
- %clean section: OK
- consistent use of macros: OK
- code or permissible content: OK
- large documentation files: OK
- %doc files not needed at runtime: OK
- header files in -devel: OK
- static libraries in -static: OK
- Requires: pkgconfig: OK
- .so files in -devel: OK
- -devel requires base package: OK
- no libtool archives: OK
- desktop file: OK
- don't own files/dirs owned by other packages: OK
- clean first in %install: OK
- filenames are UTF-8: OK

SHOULD items:
- license file as separate text: you should ask upstream to include the MIT license as a separate file
- description and summary contain translations: OK
- builds in mock: did not check
- builds on all supported arches: did not check
- package functions as described: OK (only lightly tested)
- scriptlets are sane: OK
- subpackages require main package: OK
- placement of pkgconfig files: OK
- file dependencies: OK
Comment 3 Nicoleau Fabien 2009-02-10 09:33:47 EST
Hi,
Thank you for taking this review. 
I'll contact upstream and update the review ASAP.
Comment 4 Jerry James 2009-02-10 11:48:16 EST
We don't need to stall this review for upstream.  As long as you ask them to include the MIT license in some future release and fix the License tag in the spec file, we can proceed.  I forgot to give you my suggestions for the Summary and %description, though.  No offense intended, but I think the English can be improved slightly.  Here's what I suggest.

Summary: Use mouse gestures to control your PC

%description
gestikk is a Python application for nearly all netwm-conforming window managers.  It recognizes predefined mouse gestures and executes defined actions in response.  For example, with the gesture "down - left", you could run Firefox or simulate a window manager keyboard shortcut.
Comment 5 Nicoleau Fabien 2009-02-10 12:50:06 EST
Update :
Spec URL: http://nicoleau.fabien.free.fr/rpms/SPECS/gestikk.spec
SRPM URL: http://nicoleau.fabien.free.fr/rpms/srpms.fc10/gestikk-0.6.1-2.fc10.src.rpm

- License fix
- Summary and description update

Package builds on koji : http://koji.fedoraproject.org/koji/taskinfo?taskID=1117685

Rpmlint is silent.

I've contacted upstream and asked for MIT license file in next release.
Comment 6 Jerry James 2009-02-10 13:00:12 EST
Looks good.  Please consider the summary and description changes I suggested in comment #4.  APPROVED.
Comment 7 Nicoleau Fabien 2009-02-10 13:26:43 EST
Thank you for the review. I've added python BR and used summary and description you propoed in comment #4.

New Package CVS Request
=======================
Package Name: gestikk
Short Description: Use mouse gestures to control your PC
Owners: eponyme
Branches: F-9 F-10
InitialCC:
Comment 8 Kevin Fenzi 2009-02-10 17:17:43 EST
cvs done.
Comment 9 Nicoleau Fabien 2009-02-19 14:43:50 EST
As koji seems not closing this bug, I do it manualy.
(gestikk is now in stable repository).

Note You need to log in before you can comment on or make changes to this bug.